.audio-icon-wrapper {
    width: 1rem;
    height: 1rem;
    font-size: 2rem;
    position: fixed;
    z-index: 4;
    bottom: 3vh;
    right: 3vw;
    cursor: pointer;
    color: var(--text-on-dark);
    opacity: 0;
    visibility: hidden;
    pointer-events: none;
    transition: opacity 0.5s ease;
    mix-blend-mode: difference;
    animation: rotating 4s linear infinite;
    transform-origin: center;
    display: flex;
    justify-content: center;
    align-items: center;
    line-height: 0;
}

.audio-icon-wrapper.show {
    opacity: 1;
    visibility: visible;
    pointer-events: auto;
}

@keyframes rotating {
    form{
        transform: rotate(0);
    }
    to{
        transform: rotate(1turn);
    }    
}